Package org.eclipse.emf.cdo.common.util

## Interface CDOTimeProvider

- All Known Subinterfaces:
    `CDOAdminClientRepository`, `CDOAdminRepository`, `CDOBranch`, `CDOBranchPoint`, `CDOBranchTag`, `CDOCheckout`, `CDOCommitHistory.TriggerLoadElement`, `CDOCommitInfo`, `CDOCommonRepository`, `CDOCommonTransaction`, `CDOCommonView`, `CDOLockChangeInfo`, `CDOPackageUnit`, `CDORepositoryElement`, `CDORepositoryInfo`, `CDORevisable`, `CDORevision`, `CDOSessionInvalidationEvent`, `CDOSessionLocksChangedEvent`, `CDOTransaction`, `CDOView`, `CDOViewAdaptersNotifiedEvent`, `CDOViewInvalidationEvent`, `CDOViewLocksChangedEvent`, `IDurableLockingManager.LockArea`, `InternalCDOBranch`, `InternalCDOPackageUnit`, `InternalCDORevision`, `InternalCDOSessionInvalidationEvent`, `InternalCDOTransaction`, `InternalCDOView`, `InternalCommitContext`, `InternalFailoverParticipant`, `InternalRepository`, `InternalSynchronizableRepository`, `InternalTransaction`, `InternalView`, `IQueryContext`, `IRepository`, `IStoreAccessor.QueryResourcesContext`, `IStoreAccessor.QueryResourcesContext.ExactMatch`, `IStoreAccessor.QueryXRefsContext`, `ISynchronizableRepository`, `ITransaction`, `IView`
  All Known Implementing Classes:
    `AbstractCDORevision`, `BaseCDORevision`, `CDOChangeSetSegment`, `CDOPushTransaction`, `CDOSessionProtocol.CommitTransactionResult`, `CDOSessionProtocol.OpenSessionResult`, `CountedTimeProvider`, `CurrentTimeProvider`, `DelegatingCDORevision`, `DelegatingQueryResourcesContext`, `DetachedCDORevision`, `DurableLockArea`, `PointerCDORevision`, `StubCDORevision`, `SyntheticCDORevision`

      public interface CDOTimeProvider

  Provides the consumer with a long-valued time stamp.
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getTimeStamp()` |

- - ### Method Detail

    - #### getTimeStamp

          long getTimeStamp()